<?php

	# 		Dictionary
	# 		Namespace:		dictionary
	#		Meteotemplate Block
	
	
	$thisBlockVersion = "1.0";
	
	$time = microtime();
	$time = explode(' ', $time);
	$time = $time[1] + $time[0];
	$blockStartTime = $time;
	
	$errorLog[] = array("","%c Loading block Dictionary ".$thisBlockVersion."','font-weight:bold;color:green");
		
	// load theme
	$designTheme = json_decode(file_get_contents("../../css/theme.txt"),true);
	$theme = $designTheme['theme'];
	
	include("../../../config.php");
	include("../../../css/design.php");
	include("../../../scripts/functions.php");
	
	$languageRaw = file_get_contents($baseURL."lang/gb.php");
	$language['gb'] = json_decode($languageRaw,true);
	$languageRaw = file_get_contents($baseURL."lang/".$lang.".php");
	$language[$lang] = json_decode($languageRaw,true);
	
	if(file_exists("settings.php")){
		include("settings.php");
	}
	else{
		echo "Please go to your admin section and go through the settings for this block first.";
		die();
	}
	
	$languageFrom = trim(strtolower($languageFrom));
	$languageTo = trim(strtolower($languageTo));
	
	$errorLog[] = array("","Selected language From: ".$languageFrom);
	$errorLog[] = array("","Selected language To: ".$languageTo);
	
	$fromFile = false;
	$toFile = false;
	
	if(!file_exists($baseURL."lang/".$languageFrom.".php")){
		echo "The selected 'from' language file does not exist! Please choose a language which has some data and is in your template langs folder.";
	}
	else{
		$fromFile = true;
	}
	if(!file_exists($baseURL."lang/".$languageTo.".php")){
		echo "The selected 'to' language file does not exist! Please choose a language which has some data and is in your template langs folder.";
	}
	else{
		$toFile = true;
	}
	
	if($fromFile && $toFile){
		$languageFromStrings = json_decode(file_get_contents($baseURL."lang/".$languageFrom.".php"),true);
		$languageToStrings = json_decode(file_get_contents($baseURL."lang/".$languageTo.".php"),true);
		
		$foundTranslation = false;
		
		do{
			$key = array_rand($languageFromStrings);
			$fromWord = $languageFromStrings[$key];
			if(array_key_exists($key,$languageToStrings)){
				if($languageToStrings[$key]!="" && strlen($key)<70){
					$toWord = $languageToStrings[$key];
					$foundTranslation = true;
				}
			}
		} while ($foundTranslation == false);
	}

?>
	<style>
		#refreshDictionary{
			max-width:20px;
			width:100%;
			opacity: 0.7;
			cursor: pointer;
		}
		#refreshDictionary:hover{
			opacity: 1;
		}
	</style>
	<img src="homepage/blocks/dictionary/icons/<?php echo $theme?>/translation.png" style="width:40px">
	<?php
		if($fromFile && $toFile){
	?>
			<table style="margin:0 auto;width:98%">
				<tr>
					<td style="text-align:left;width:40px">
						<img src="<?php echo $pageURL.$path?>imgs/flags/big/<?php echo $languageFrom?>.png" style="width:30px">
					</td>
					<td style="text-align:left;padding-left:10px">
						<div id="dictionaryFrom"><?php echo $fromWord?></div>
					</td>
				</tr>
				<tr>
					<td style="text-align:left;width:40px">
						<img src="<?php echo $pageURL.$path?>imgs/flags/big/<?php echo $languageTo?>.png" style="width:30px">
					</td>
					<td style="text-align:left;padding-left:10px">
						<div id="dictionaryTo"><?php echo $toWord?></div>
					</td>
				</tr>
			</table>	
			<img src="homepage/blocks/dictionary/icons/<?php echo $theme?>/refresh.png" id="refreshDictionary" onclick="reloadDictionary()" alt='' class="tooltip" title="New">
			<script>
				function reloadDictionary(){
					$.ajax({
						url : 'homepage/blocks/dictionary/loadDictionary.php',
						dataType : 'json',
						success : function (json) {
							$("#dictionaryFrom").html(json['from']);	
							$("#dictionaryTo").html(json['to']);						
						},
					});
				}
			</script>
	<?php 
		}
	?>
	<?php 
		$time = microtime();
		$time = explode(' ', $time);
		$time = $time[1] + $time[0];
		$blockEndTime = $time;
		$blockLoadTime = $blockEndTime - $blockStartTime;
		$blockLoadTime = round($blockLoadTime,4);
		$errorLog[] = array("","Block loaded in ".$blockLoadTime." s.");
		showLog($errorLog);
	?>